#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSS = 858,
  CSS2Properties = 862,
  CSSAnimation = 877,
  CSSConditionRule = 890,
  CSSContainerRule = 907,
  CSSCounterStyleRule = 924,
  CSSCustomPropertyRegisteredEvent = 944,
  CSSFontFaceRule = 977,
  CSSFontFeatureValuesRule = 993,
  CSSFontPaletteValuesRule = 1018,
  CSSGroupingRule = 1043,
  CSSImportRule = 1059,
  CSSKeyframeRule = 1073,
  CSSKeyframesRule = 1089,
  CSSLayerBlockRule = 1106,
  CSSLayerStatementRule = 1124,
  CSSMarginRule = 1146,
  CSSMediaRule = 1160,
  CSSMozDocumentRule = 1173,
  CSSNamespaceRule = 1192,
  CSSPageRule = 1209,
  CSSPropertyRule = 1221,
  CSSPseudoElement = 1237,
  CSSRule = 1254,
  CSSRuleList = 1262,
  CSSScopeRule = 1274,
  CSSStartingStyleRule = 1287,
  CSSStyleDeclaration = 1308,
  CSSStyleRule = 1328,
  CSSStyleSheet = 1341,
  CSSSupportsRule = 1355,
  CSSTransition = 1371,
  Cache = 1385,
  CacheStorage = 1391,
  CallbackDebuggerNotification = 1404,
  CanonicalBrowsingContext = 1433,
  CanvasCaptureMediaStream = 1458,
  CanvasGradient = 1483,
  CanvasPattern = 1498,
  CanvasRenderingContext2D = 1512,
  CaretPosition = 1537,
  CaretStateChangedEvent = 1551,
  ChannelMergerNode = 1574,
  ChannelSplitterNode = 1592,
  ChannelWrapper = 1612,
  CharacterData = 1627,
  CheckerboardReportService = 1641,
  ChildProcessMessageManager = 1667,
  ChildSHistory = 1694,
  ChromeMessageBroadcaster = 1708,
  ChromeMessageSender = 1733,
  ChromeNodeList = 1753,
  ChromeUtils = 1768,
  ChromeWorker = 1780,
  Client = 1793,
  Clients = 1800,
  Clipboard = 1808,
  ClipboardEvent = 1818,
  ClipboardItem = 1833,
  ClonedErrorHolder = 1847,
  CloseEvent = 1865,
  CommandEvent = 1876,
  Comment = 1889,
  CompositionEvent = 1897,
  CompressionStream = 1914,
  ConsoleInstance = 1932,
  ConstantSourceNode = 1948,
  ContentFrameMessageManager = 1967,
  ContentProcessMessageManager = 1994,
  ContentVisibilityAutoStateChangeEvent = 2023,
  ConvolverNode = 2061,
  CountQueuingStrategy = 2075,
  CreateOfferRequest = 2096,
  Credential = 2115,
  CredentialsContainer = 2126,
  Crypto = 2147,
  CryptoKey = 2154,
  CustomElementRegistry = 2164,
  CustomEvent = 2186,
  CustomStateSet = 2198,
  DOMException = 2213,
  DOMImplementation = 2226,
  DOMLocalization = 2244,
  DOMMatrix = 2260,
  DOMMatrixReadOnly = 2270,
  DOMParser = 2288,
  DOMPoint = 2298,
  DOMPointReadOnly = 2307,
  DOMQuad = 2324,
  DOMRect = 2332,
  DOMRectList = 2340,
  DOMRectReadOnly = 2352,
  DOMStringList = 2368,
  DOMStringMap = 2382,
  DOMTokenList = 2395,
  DataTransfer = 2408,
  DataTransferItem = 2421,
  DataTransferItemList = 2438,
  DebuggerNotification = 2459,
  DebuggerNotificationObserver = 2480,
  DecompressionStream = 2509,
  DedicatedWorkerGlobalScope = 2529,
  DelayNode = 2556,
  DeprecationReportBody = 2566,
  DeviceAcceleration = 2588,
  DeviceLightEvent = 2607,
  DeviceMotionEvent = 2624,
  DeviceOrientationEvent = 2642,
  DeviceRotationRate = 2665,
  Directory = 2684,
  Document = 2694,
  DocumentFragment = 2703,
  DocumentL10n = 2720,
  DocumentTimeline = 2733,
  DocumentType = 2750,
  DominatorTree = 2763,
  DragEvent = 2777,
  DynamicsCompressorNode = 2787,
  EXT_blend_minmax = 2810,
  EXT_color_buffer_float = 2827,
  EXT_color_buffer_half_float = 2850,
  EXT_disjoint_timer_query = 2878,
  EXT_float_blend = 2903,
  EXT_frag_depth = 2919,
  EXT_sRGB = 2934,
  EXT_shader_texture_lod = 2943,
  EXT_texture_compression_bptc = 2966,
  EXT_texture_compression_rgtc = 2995,
  EXT_texture_filter_anisotropic = 3024,
  EXT_texture_norm16 = 3055,
  Element = 3074,
  ElementInternals = 3082,
  EncodedAudioChunk = 3099,
  EncodedVideoChunk = 3117,
  ErrorEvent = 3135,
  Event = 3146,
  EventCallbackDebuggerNotification = 3152,
  EventCounts = 3186,
  EventSource = 3198,
  EventTarget = 3210,
  Exception = 3222,
  ExtendableEvent = 3232,
  ExtendableMessageEvent = 3248,
  ExtensionAlarms = 3271,
  ExtensionBrowser = 3287,
  ExtensionBrowserSettings = 3304,
  ExtensionBrowserSettingsColorManagement = 3329,
  ExtensionDns = 3369,
  ExtensionEventManager = 3382,
  ExtensionMockAPI = 3404,
  ExtensionPort = 3421,
  ExtensionProxy = 3435,
  ExtensionRuntime = 3450,
  ExtensionScripting = 3467,
  ExtensionSetting = 3486,
  ExtensionTest = 3503,
  External = 3517,
  FeaturePolicy = 3526,
  FeaturePolicyViolationReportBody = 3540,
  FetchEvent = 3573,
  FetchObserver = 3584,
  File = 3598,
  FileList = 3603,
  FileReader = 3612,
  FileReaderSync = 3623,
  FileSystem = 3638,
  FileSystemDirectoryEntry = 3649,
  FileSystemDirectoryHandle = 3674,
  FileSystemDirectoryHandle_AsyncIterator = 3700,
  FileSystemDirectoryIterator = 3740,
  FileSystemDirectoryReader = 3768,
  FileSystemEntry = 3794,
  FileSystemFileEntry = 3810,
  FileSystemFileHandle = 3830,
  FileSystemHandle = 3851,
  FileSystemSyncAccessHandle = 3868,
  FileSystemWritableFileStream = 3895,
  Flex = 3924,
  FlexItemValues = 3929,
  FlexLineValues = 3944,
  FluentBundle = 3959,
  FluentBundleAsyncIterator = 3972,
  FluentBundleIterator = 3998,
  FluentPattern = 4019,
  FluentResource = 4033,
  FocusEvent = 4048,
  FontFace = 4059,
  FontFaceSet = 4068,
  FontFaceSetIterator = 4080,
  FontFaceSetLoadEvent = 4100,
  FormData = 4121,
  FormData_Iterator = 4130,
  FormDataEvent = 4148,
  FragmentDirective = 4162,
  FrameCrashedEvent = 4180,
  FrameLoader = 4198,
  GPU = 4210,
  GPUAdapter = 4214,
  GPUAdapterInfo = 4225,
  GPUBindGroup = 4240,
  GPUBindGroupLayout = 4253,
  GPUBuffer = 4272,
  GPUBufferUsage = 4282,
  GPUCanvasContext = 4297,
  GPUColorWrite = 4314,
  GPUCommandBuffer = 4328,
  GPUCommandEncoder = 4345,
  GPUCompilationInfo = 4363,
  GPUCompilationMessage = 4382,
  GPUComputePassEncoder = 4404,
  GPUComputePipeline = 4426,
  GPUDevice = 4445,
  GPUDeviceLostInfo = 4455,
  GPUError = 4473,
  GPUInternalError = 4482,
  GPUMapMode = 4499,
  GPUOutOfMemoryError = 4510,
  GPUPipelineLayout = 4530,
  GPUQuerySet = 4548,
  GPUQueue = 4560,
  GPURenderBundle = 4569,
  GPURenderBundleEncoder = 4585,
  GPURenderPassEncoder = 4608,
  GPURenderPipeline = 4629,
  GPUSampler = 4647,
  GPUShaderModule = 4658,
  GPUShaderStage = 4674,
  GPUSupportedFeatures = 4689,
  GPUSupportedLimits = 4710,
  GPUTexture = 4729,
  GPUTextureUsage = 4740,
  GPUTextureView = 4756,
  GPUUncapturedErrorEvent = 4771,
  GPUValidationError = 4795,
  GainNode = 4814,
  Gamepad = 4823,
  GamepadAxisMoveEvent = 4831,
  GamepadButton = 4852,
  GamepadButtonEvent = 4866,
  GamepadEvent = 4885,
  GamepadHapticActuator = 4898,
  GamepadLightIndicator = 4920,
  GamepadPose = 4942,
  GamepadServiceTest = 4954,
  GamepadTouch = 4973,
  Geolocation = 4986,
  GeolocationCoordinates = 4998,
  GeolocationPosition = 5021,
  GeolocationPositionError = 5041,
  GetUserMediaRequest = 5066,
  GleanBoolean = 5086,
  GleanCategory = 5099,
  GleanCounter = 5113,
  GleanCustomDistribution = 5126,
  GleanDatetime = 5150,
  GleanDenominator = 5164,
  GleanEvent = 5181,
  GleanImpl = 5192,
  GleanLabeled = 5202,
  GleanMemoryDistribution = 5215,
  GleanMetric = 5239,
  GleanNumerator = 5251,
  GleanObject = 5266,
  GleanPingsImpl = 5278,
  GleanQuantity = 5293,
  GleanRate = 5307,
  GleanString = 5317,
  GleanStringList = 5329,
  GleanText = 5345,
  GleanTimespan = 5355,
  GleanTimingDistribution = 5369,
  GleanUrl = 5393,
  GleanUuid = 5402,
  Grid = 5412,
  GridArea = 5417,
  GridDimension = 5426,
  GridLine = 5440,
  GridLines = 5449,
  GridTrack = 5459,
  GridTracks = 5469,
  HTMLAllCollection = 5480,
  HTMLAnchorElement = 5498,
  HTMLAreaElement = 5516,
  HTMLAudioElement = 5532,
  HTMLBRElement = 5549,
  HTMLBaseElement = 5563,
  HTMLBodyElement = 5579,
  HTMLButtonElement = 5595,
  HTMLCanvasElement = 5613,
  HTMLCollection = 5631,
  HTMLDListElement = 5646,
  HTMLDataElement = 5663,
  HTMLDataListElement = 5679,
  HTMLDetailsElement = 5699,
  HTMLDialogElement = 5718,
  HTMLDirectoryElement = 5736,
  HTMLDivElement = 5757,
  HTMLDocument = 5772,
  HTMLElement = 5785,
  HTMLEmbedElement = 5797,
  HTMLFieldSetElement = 5814,
  HTMLFontElement = 5834,
  HTMLFormControlsCollection = 5850,
  HTMLFormElement = 5877,
  HTMLFrameElement = 5893,
  HTMLFrameSetElement = 5910,
  HTMLHRElement = 5930,
  HTMLHeadElement = 5944,
  HTMLHeadingElement = 5960,
  HTMLHtmlElement = 5979,
  HTMLIFrameElement = 5995,
  HTMLImageElement = 6013,
  HTMLInputElement = 6030,
  HTMLLIElement = 6047,
  HTMLLabelElement = 6061,
  HTMLLegendElement = 6078,
  HTMLLinkElement = 6096,
  HTMLMapElement = 6112,
  HTMLMarqueeElement = 6127,
  HTMLMediaElement = 6146,
  HTMLMenuElement = 6163,
  HTMLMetaElement = 6179,
  HTMLMeterElement = 6195,
  HTMLModElement = 6212,
  HTMLOListElement = 6227,
  HTMLObjectElement = 6244,
  HTMLOptGroupElement = 6262,
  HTMLOptionElement = 6282,
  HTMLOptionsCollection = 6300,
  HTMLOutputElement = 6322,
  HTMLParagraphElement = 6340,
  HTMLParamElement = 6361,
  HTMLPictureElement = 6378,
  HTMLPreElement = 6397,
  HTMLProgressElement = 6412,
  HTMLQuoteElement = 6432,
  HTMLScriptElement = 6449,
  HTMLSelectElement = 6467,
  HTMLSlotElement = 6485,
  HTMLSourceElement = 6501,
  HTMLSpanElement = 6519,
  HTMLStyleElement = 6535,
  HTMLTableCaptionElement = 6552,
  HTMLTableCellElement = 6576,
  HTMLTableColElement = 6597,
  HTMLTableElement = 6617,
  HTMLTableRowElement = 6634,
  HTMLTableSectionElement = 6654,
  HTMLTemplateElement = 6678,
  HTMLTextAreaElement = 6698,
  HTMLTimeElement = 6718,
  HTMLTitleElement = 6734,
  HTMLTrackElement = 6751,
  HTMLUListElement = 6768,
  HTMLUnknownElement = 6785,
  HTMLVideoElement = 6804,
  HashChangeEvent = 6821,
  Headers = 6837,
  Headers_Iterator = 6845,
  HeapSnapshot = 6862,
  Highlight = 6875,
  HighlightRegistry = 6885,
  History = 6903,
  IDBCursor = 6911,
  IDBCursorWithValue = 6921,
  IDBDatabase = 6940,
  IDBFactory = 6952,
  IDBIndex = 6963,
  IDBKeyRange = 6972,
  IDBObjectStore = 6984,
  IDBOpenDBRequest = 6999,
  IDBRequest = 7016,
  IDBTransaction = 7027,
  IDBVersionChangeEvent = 7042,
  IIRFilterNode = 7064,
  IOUtils = 7078,
  IdentityCredential = 7086,
  IdleDeadline = 7105,
  Image = 7118,
  ImageBitmap = 7124,
  ImageBitmapRenderingContext = 7136,
  ImageCapture = 7164,
  ImageCaptureError = 7177,
  ImageCaptureErrorEvent = 7195,
  ImageData = 7218,
  ImageDocument = 7228,
  InputEvent = 7242,
  InspectorCSSParser = 7253,
  InspectorFontFace = 7272,
  InspectorUtils = 7290,
  InstallTriggerImpl = 7305,
  IntersectionObserver = 7324,
  IntersectionObserverEntry = 7345,
  IntlUtils = 7371,
  InvokeEvent = 7381,
  JSProcessActorChild = 7393,
  JSProcessActorParent = 7413,
  JSWindowActorChild = 7434,
  JSWindowActorParent = 7453,
  KeyEvent = 7473,
  KeyboardEvent = 7482,
  KeyframeEffect = 7496,
  L10nFileSource = 7511,
  L10nOverlays = 7526,
  L10nRegistry = 7539,
  LargestContentfulPaint = 7552,
  LegacyMozTCPSocket = 7575,
  Localization = 7594,
  Location = 7607,
  Lock = 7616,
  LockManager = 7621,
  MIDIAccess = 7633,
  MIDIConnectionEvent = 7644,
  MIDIInput = 7664,
  MIDIInputMap = 7674,
  MIDIMessageEvent = 7687,
  MIDIOutput = 7704,
  MIDIOutputMap = 7715,
  MIDIPort = 7729,
  MOZ_debug = 7738,
  MatchGlob = 7748,
  MatchPattern = 7758,
  MatchPatternSet = 7771,
  MathMLElement = 7787,
  MediaCapabilities = 7801,
  MediaCapabilitiesInfo = 7819,
  MediaControlService = 7841,
  MediaController = 7861,
  MediaDeviceInfo = 7877,
  MediaDevices = 7893,
  MediaElementAudioSourceNode = 7906,
  MediaEncryptedEvent = 7934,
  MediaError = 7954,
  MediaKeyError = 7965,
  MediaKeyMessageEvent = 7979,
  MediaKeySession = 8000,
  MediaKeyStatusMap = 8016,
  MediaKeyStatusMap_Iterator = 8034,
  MediaKeySystemAccess = 8061,
  MediaKeys = 8082,
  MediaList = 8092,
  MediaMetadata = 8102,
  MediaQueryList = 8116,
  MediaQueryListEvent = 8131,
  MediaRecorder = 8151,
  MediaRecorderErrorEvent = 8165,
  MediaSession = 8189,
  MediaSource = 8202,
  MediaStream = 8214,
  MediaStreamAudioDestinationNode = 8226,
  MediaStreamAudioSourceNode = 8258,
  MediaStreamError = 8285,
  MediaStreamEvent = 8302,
  MediaStreamTrack = 8319,
  MediaStreamTrackAudioSourceNode = 8336,
  MediaStreamTrackEvent = 8368,
  MerchantValidationEvent = 8390,
  MessageBroadcaster = 8414,
  MessageChannel = 8433,
  MessageEvent = 8448,
  MessageListenerManager = 8461,
  MessagePort = 8484,
  MessageSender = 8496,
  MimeType = 8510,
  MimeTypeArray = 8519,
  MouseEvent = 8533,
  MouseScrollEvent = 8544,
  MozCanvasPrintState = 8561,
  MozDocumentMatcher = 8581,
  MozDocumentObserver = 8600,
  MozQueryInterface = 8620,
  MozSharedMap = 8638,
  MozSharedMap_Iterator = 8651,
  MozSharedMapChangeEvent = 8673,
  MozStorageAsyncStatementParams = 8697,
  MozStorageStatementParams = 8728,
  MozStorageStatementRow = 8754,
  MozWritableSharedMap = 8777,
  MutationEvent = 8798,
  MutationObserver = 8812,
  MutationRecord = 8829,
  NamedNodeMap = 8844,
  NavigationPreloadManager = 8857,
  Navigator = 8882,
  NetworkInformation = 8892,
  Node = 8911,
  NodeFilter = 8916,
  NodeIterator = 8927,
  NodeList = 8940,
  Notification = 8949,
  NotificationEvent = 8962,
  NotifyPaintEvent = 8980,
  OES_draw_buffers_indexed = 8997,
  OES_element_index_uint = 9022,
  OES_fbo_render_mipmap = 9045,
  OES_standard_derivatives = 9067,
  OES_texture_float = 9092,
  OES_texture_float_linear = 9110,
  OES_texture_half_float = 9135,
  OES_texture_half_float_linear = 9158,
  OES_vertex_array_object = 9188,
  OVR_multiview2 = 9212,
  OfflineAudioCompletionEvent = 9227,
  OfflineAudioContext = 9255,
  OffscreenCanvas = 9275,
  OffscreenCanvasRenderingContext2D = 9291,
  OnlyForUseInConstructor = 9325,
  Option = 9349,
  OscillatorNode = 9356,
  PageTransitionEvent = 9371,
  PaintRequest = 9391,
  PaintRequestList = 9404,
  PaintWorkletGlobalScope = 9421,
  PannerNode = 9445,
  ParentProcessMessageManager = 9456,
  Path2D = 9484,
  PathUtils = 9491,
  PaymentAddress = 9501,
  PaymentMethodChangeEvent = 9516,
  PaymentRequest = 9541,
  PaymentRequestUpdateEvent = 9556,
  PaymentResponse = 9582,
  Performance = 9598,
  PerformanceEntry = 9610,
  PerformanceEntryEvent = 9627,
  PerformanceEventTiming = 9649,
  PerformanceMark = 9672,
  PerformanceMeasure = 9688,
  PerformanceNavigation = 9707,
  PerformanceNavigationTiming = 9729,
  PerformanceObserver = 9757,
  PerformanceObserverEntryList = 9777,
  PerformancePaintTiming = 9806,
  PerformanceResourceTiming = 9829,
  PerformanceServerTiming = 9855,
  PerformanceTiming = 9879,
  PeriodicWave = 9897,
  PermissionStatus = 9910,
  Permissions = 9927,
  PlacesBookmark = 9939,
  PlacesBookmarkAddition = 9954,
  PlacesBookmarkChanged = 9977,
  PlacesBookmarkGuid = 9999,
  PlacesBookmarkKeyword = 10018,
  PlacesBookmarkMoved = 10040,
  PlacesBookmarkRemoved = 10060,
  PlacesBookmarkTags = 10082,
  PlacesBookmarkTime = 10101,
  PlacesBookmarkTitle = 10120,
  PlacesBookmarkUrl = 10140,
  PlacesEvent = 10158,
  PlacesEventCounts = 10170,
  PlacesFavicon = 10188,
  PlacesHistoryCleared = 10202,
  PlacesObservers = 10223,
  PlacesPurgeCaches = 10239,
  PlacesRanking = 10257,
  PlacesVisit = 10271,
  PlacesVisitRemoved = 10283,
  PlacesVisitTitle = 10302,
  PlacesWeakCallbackWrapper = 10319,
  Plugin = 10345,
  PluginArray = 10352,
  PluginCrashedEvent = 10364,
  PointerEvent = 10383,
  PopStateEvent = 10396,
  PopupBlockedEvent = 10410,
  PopupPositionedEvent = 10428,
  PositionStateEvent = 10449,
  PrecompiledScript = 10468,
  PrivateAttribution = 10486,
  ProcessMessageManager = 10505,
  ProcessingInstruction = 10527,
  ProgressEvent = 10549,
  PromiseDebugging = 10563,
  PromiseNativeHandler = 10580,
  PromiseRejectionEvent = 10601,
  PublicKeyCredential = 10623,
  PushEvent = 10643,
  PushManager = 10653,
  PushManagerImpl = 10665,
  PushMessageData = 10681,
  PushSubscription = 10697,
  PushSubscriptionOptions = 10714,
  RadioNodeList = 10738,
  Range = 10752,
  ReadableByteStreamController = 10758,
  ReadableStream = 10787,
  ReadableStream_AsyncIterator = 10802,
  ReadableStreamBYOBReader = 10831,
  ReadableStreamBYOBRequest = 10856,
  ReadableStreamDefaultController = 10882,
  ReadableStreamDefaultReader = 10914,
  Report = 10942,
  ReportBody = 10949,
  ReportingObserver = 10960,
  Request = 10978,
  ResizeObserver = 10986,
  ResizeObserverEntry = 11001,
  ResizeObserverSize = 11021,
  Response = 11040,
  SVGAElement = 11049,
  SVGAngle = 11061,
  SVGAnimateElement = 11070,
  SVGAnimateMotionElement = 11088,
  SVGAnimateTransformElement = 11112,
  SVGAnimatedAngle = 11139,
  SVGAnimatedBoolean = 11156,
  SVGAnimatedEnumeration = 11175,
  SVGAnimatedInteger = 11198,
  SVGAnimatedLength = 11217,
  SVGAnimatedLengthList = 11235,
  SVGAnimatedNumber = 11257,
  SVGAnimatedNumberList = 11275,
  SVGAnimatedPreserveAspectRatio = 11297,
  SVGAnimatedRect = 11328,
  SVGAnimatedString = 11344,
  SVGAnimatedTransformList = 11362,
  SVGAnimationElement = 11387,
  SVGCircleElement = 11407,
  SVGClipPathElement = 11424,
  SVGComponentTransferFunctionElement = 11443,
  SVGDefsElement = 11479,
  SVGDescElement = 11494,
  SVGElement = 11509,
  SVGEllipseElement = 11520,
  SVGFEBlendElement = 11538,
  SVGFEColorMatrixElement = 11556,
  SVGFEComponentTransferElement = 11580,
  SVGFECompositeElement = 11610,
  SVGFEConvolveMatrixElement = 11632,
  SVGFEDiffuseLightingElement = 11659,
  SVGFEDisplacementMapElement = 11687,
  SVGFEDistantLightElement = 11715,
  SVGFEDropShadowElement = 11740,
  SVGFEFloodElement = 11763,
  SVGFEFuncAElement = 11781,
  SVGFEFuncBElement = 11799,
  SVGFEFuncGElement = 11817,
  SVGFEFuncRElement = 11835,
  SVGFEGaussianBlurElement = 11853,
  SVGFEImageElement = 11878,
  SVGFEMergeElement = 11896,
  SVGFEMergeNodeElement = 11914,
  SVGFEMorphologyElement = 11936,
  SVGFEOffsetElement = 11959,
  SVGFEPointLightElement = 11978,
  SVGFESpecularLightingElement = 12001,
  SVGFESpotLightElement = 12030,
  SVGFETileElement = 12052,
  SVGFETurbulenceElement = 12069,
  SVGFilterElement = 12092,
  SVGForeignObjectElement = 12109,
  SVGGElement = 12133,
  SVGGeometryElement = 12145,
  SVGGradientElement = 12164,
  SVGGraphicsElement = 12183,
  SVGImageElement = 12202,
  SVGLength = 12218,
  SVGLengthList = 12228,
  SVGLineElement = 12242,
  SVGLinearGradientElement = 12257,
  SVGMPathElement = 12282,
  SVGMarkerElement = 12298,
  SVGMaskElement = 12315,
  SVGMatrix = 12330,
  SVGMetadataElement = 12340,
  SVGNumber = 12359,
  SVGNumberList = 12369,
  SVGPathElement = 12383,
  SVGPathSeg = 12398,
  SVGPathSegArcAbs = 12409,
  SVGPathSegArcRel = 12426,
  SVGPathSegClosePath = 12443,
  SVGPathSegCurvetoCubicAbs = 12463,
  SVGPathSegCurvetoCubicRel = 12489,
  SVGPathSegCurvetoCubicSmoothAbs = 12515,
  SVGPathSegCurvetoCubicSmoothRel = 12547,
  SVGPathSegCurvetoQuadraticAbs = 12579,
  SVGPathSegCurvetoQuadraticRel = 12609,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12639,
  SVGPathSegCurvetoQuadraticSmoothRel = 12675,
  SVGPathSegLinetoAbs = 12711,
  SVGPathSegLinetoHorizontalAbs = 12731,
  SVGPathSegLinetoHorizontalRel = 12761,
  SVGPathSegLinetoRel = 12791,
  SVGPathSegLinetoVerticalAbs = 12811,
  SVGPathSegLinetoVerticalRel = 12839,
  SVGPathSegList = 12867,
  SVGPathSegMovetoAbs = 12882,
  SVGPathSegMovetoRel = 12902,
  SVGPatternElement = 12922,
  SVGPoint = 12940,
  SVGPointList = 12949,
  SVGPolygonElement = 12962,
  SVGPolylineElement = 12980,
  SVGPreserveAspectRatio = 12999,
  SVGRadialGradientElement = 13022,
  SVGRect = 13047,
  SVGRectElement = 13055,
  SVGSVGElement = 13070,
  SVGScriptElement = 13084,
  SVGSetElement = 13101,
  SVGStopElement = 13115,
  SVGStringList = 13130,
  SVGStyleElement = 13144,
  SVGSwitchElement = 13160,
  SVGSymbolElement = 13177,
  SVGTSpanElement = 13194,
  SVGTextContentElement = 13210,
  SVGTextElement = 13232,
  SVGTextPathElement = 13247,
  SVGTextPositioningElement = 13266,
  SVGTitleElement = 13292,
  SVGTransform = 13308,
  SVGTransformList = 13321,
  SVGUnitTypes = 13338,
  SVGUseElement = 13351,
  SVGViewElement = 13365,
  Sanitizer = 13380,
  Scheduler = 13390,
  Screen = 13400,
  ScreenLuminance = 13407,
  ScreenOrientation = 13423,
  ScriptProcessorNode = 13441,
  ScrollAreaEvent = 13461,
  ScrollViewChangeEvent = 13477,
  SecurityPolicyViolationEvent = 13499,
  Selection = 13528,
  ServiceWorker = 13538,
  ServiceWorkerContainer = 13552,
  ServiceWorkerGlobalScope = 13575,
  ServiceWorkerRegistration = 13600,
  SessionStoreFormData = 13626,
  SessionStoreScrollData = 13647,
  SessionStoreUtils = 13670,
  ShadowRealmGlobalScope = 13688,
  ShadowRoot = 13711,
  SharedWorker = 13722,
  SharedWorkerGlobalScope = 13735,
  SimpleGestureEvent = 13759,
  SourceBuffer = 13778,
  SourceBufferList = 13791,
  SpeechGrammar = 13808,
  SpeechGrammarList = 13822,
  SpeechRecognition = 13840,
  SpeechRecognitionAlternative = 13858,
  SpeechRecognitionError = 13887,
  SpeechRecognitionEvent = 13910,
  SpeechRecognitionResult = 13933,
  SpeechRecognitionResultList = 13957,
  SpeechSynthesis = 13985,
  SpeechSynthesisErrorEvent = 14001,
  SpeechSynthesisEvent = 14027,
  SpeechSynthesisUtterance = 14048,
  SpeechSynthesisVoice = 14073,
  StaticRange = 14094,
  StereoPannerNode = 14106,
  Storage = 14123,
  StorageEvent = 14131,
  StorageManager = 14144,
  StreamFilter = 14159,
  StreamFilterDataEvent = 14172,
  StructuredCloneHolder = 14194,
  StructuredCloneTester = 14216,
  StyleSheet = 14238,
  StyleSheetApplicableStateChangeEvent = 14249,
  StyleSheetList = 14286,
  StyleSheetRemovedEvent = 14301,
  SubmitEvent = 14324,
  SubtleCrypto = 14336,
  SyncMessageSender = 14349,
  SyncReadFile = 14367,
  TCPServerSocket = 14380,
  TCPServerSocketEvent = 14396,
  TCPSocket = 14417,
  TCPSocketErrorEvent = 14427,
  TCPSocketEvent = 14447,
  TaskController = 14462,
  TaskPriorityChangeEvent = 14477,
  TaskSignal = 14501,
  TelemetryStopwatch = 14512,
  TestAttributesOnTypes = 14531,
  TestCEReactionsInterface = 14553,
  TestCImplementedInterface = 14578,
  TestCImplementedInterface2 = 14604,
  TestCallbackDictUnionOverload = 14631,
  TestChildInterface = 14661,
  TestConstructorForFuncInterface = 14680,
  TestConstructorForPrefInterface = 14712,
  TestConstructorForSCInterface = 14744,
  TestCppKeywordNamedMethodsInterface = 14774,
  TestDeprecatedInterface = 14810,
  TestExampleInterface = 14834,
  TestExampleProxyInterface = 14855,
  TestExampleThrowingConstructorInterface = 14881,
  TestExampleWorkerInterface = 14921,
  TestFuncConstructorForDifferentFuncInterface = 14948,
  TestFuncConstructorForInterface = 14993,
  TestHTMLConstructorInterface = 15025,
  TestIndexedAndNamedGetterAndSetterInterface = 15054,
  TestIndexedAndNamedGetterInterface = 15098,
  TestIndexedAndNamedSetterInterface = 15133,
  TestIndexedGetterAndSetterAndNamedGetterInterface = 15168,
  TestIndexedGetterInterface = 15218,
  TestIndexedSetterInterface = 15245,
  TestInterface = 15272,
  TestInterfaceWithPromiseConstructorArg = 15286,
  TestJSImplInterface = 15325,
  TestJSImplInterface2 = 15345,
  TestJSImplInterface3 = 15366,
  TestJSImplInterface4 = 15387,
  TestJSImplInterface5 = 15408,
  TestJSImplInterface6 = 15429,
  TestJSImplNoInterfaceObject = 15450,
  TestLegacyFactoryFunctionInterface = 15478,
  TestLegacyFactoryFunctionInterface2 = 15513,
  TestNamedDeleterInterface = 15549,
  TestNamedDeleterWithRetvalInterface = 15575,
  TestNamedGetterInterface = 15611,
  TestNamedSetterInterface = 15636,
  TestNamespace = 15661,
  TestNonWrapperCacheInterface = 15675,
  TestParentInterface = 15704,
  TestPrefChromeOnlySCFuncConstructorForInterface = 15724,
  TestPrefConstructorForDifferentPrefInterface = 15772,
  TestPrefConstructorForInterface = 15817,
  TestProtoObjectHackedNamespace = 15849,
  TestRenamedInterface = 15880,
  TestRenamedNamespace = 15901,
  TestSCConstructorForInterface = 15922,
  TestSecureContextInterface = 15952,
  TestThrowingConstructorInterface = 15979,
  TestUtils = 16012,
  TestWorkerExposedInterface = 16022,
  TestingDeprecatedInterface = 16049,
  Text = 16076,
  TextClause = 16081,
  TextDecoder = 16092,
  TextDecoderStream = 16104,
  TextEncoder = 16122,
  TextEncoderStream = 16134,
  TextEvent = 16152,
  TextMetrics = 16162,
  TextTrack = 16174,
  TextTrackCue = 16184,
  TextTrackCueList = 16197,
  TextTrackList = 16214,
  TimeEvent = 16228,
  TimeRanges = 16238,
  ToggleEvent = 16249,
  Touch = 16261,
  TouchEvent = 16267,
  TouchList = 16278,
  TrackEvent = 16288,
  TransformStream = 16299,
  TransformStreamDefaultController = 16315,
  TransitionEvent = 16348,
  TreeColumn = 16364,
  TreeColumns = 16375,
  TreeContentView = 16387,
  TreeWalker = 16403,
  TrustedHTML = 16414,
  TrustedScript = 16426,
  TrustedScriptURL = 16440,
  TrustedTypePolicy = 16457,
  TrustedTypePolicyFactory = 16475,
  UDPMessageEvent = 16500,
  UDPSocket = 16516,
  UIEvent = 16526,
  URL = 16534,
  URLSearchParams = 16538,
  URLSearchParams_Iterator = 16554,
  UniFFIPointer = 16579,
  UniFFIScaffolding = 16593,
  UserActivation = 16611,
  UserInteraction = 16626,
  UserProximityEvent = 16642,
  VRDisplay = 16661,
  VRDisplayCapabilities = 16671,
  VRDisplayEvent = 16693,
  VREyeParameters = 16708,
  VRFieldOfView = 16724,
  VRFrameData = 16738,
  VRMockController = 16750,
  VRMockDisplay = 16767,
  VRPose = 16781,
  VRServiceTest = 16788,
  VRStageParameters = 16802,
  VTTCue = 16820,
  VTTRegion = 16827,
  ValidityState = 16837,
  VideoColorSpace = 16851,
  VideoDecoder = 16867,
  VideoEncoder = 16880,
  VideoFrame = 16893,
  VideoPlaybackQuality = 16904,
  VideoTrack = 16925,
  VideoTrackList = 16936,
  VisualViewport = 16951,
  WEBGL_color_buffer_float = 16966,
  WEBGL_compressed_texture_astc = 16991,
  WEBGL_compressed_texture_etc = 17021,
  WEBGL_compressed_texture_etc1 = 17050,
  WEBGL_compressed_texture_pvrtc = 17080,
  WEBGL_compressed_texture_s3tc = 17111,
  WEBGL_compressed_texture_s3tc_srgb = 17141,
  WEBGL_debug_renderer_info = 17176,
  WEBGL_debug_shaders = 17202,
  WEBGL_depth_texture = 17222,
  WEBGL_draw_buffers = 17242,
  WEBGL_explicit_present = 17261,
  WEBGL_lose_context = 17284,
  WEBGL_provoking_vertex = 17303,
  WakeLock = 17326,
  WakeLockSentinel = 17335,
  WaveShaperNode = 17352,
  WebExtensionContentScript = 17367,
  WebExtensionPolicy = 17393,
  WebGL2RenderingContext = 17412,
  WebGLActiveInfo = 17435,
  WebGLBuffer = 17451,
  WebGLContextEvent = 17463,
  WebGLFramebuffer = 17481,
  WebGLProgram = 17498,
  WebGLQuery = 17511,
  WebGLRenderbuffer = 17522,
  WebGLRenderingContext = 17540,
  WebGLSampler = 17562,
  WebGLShader = 17575,
  WebGLShaderPrecisionFormat = 17587,
  WebGLSync = 17614,
  WebGLTexture = 17624,
  WebGLTransformFeedback = 17637,
  WebGLUniformLocation = 17660,
  WebGLVertexArrayObject = 17681,
  WebKitCSSMatrix = 17704,
  WebSocket = 17720,
  WebTransport = 17730,
  WebTransportBidirectionalStream = 17743,
  WebTransportDatagramDuplexStream = 17775,
  WebTransportError = 17808,
  WebTransportReceiveStream = 17826,
  WebTransportSendStream = 17852,
  WheelEvent = 17875,
  Window = 17886,
  WindowClient = 17893,
  WindowContext = 17906,
  WindowGlobalChild = 17920,
  WindowGlobalParent = 17938,
  WindowRoot = 17957,
  Worker = 17968,
  WorkerDebuggerGlobalScope = 17975,
  WorkerGlobalScope = 18001,
  WorkerLocation = 18019,
  WorkerNavigator = 18034,
  WorkerTestUtils = 18050,
  Worklet = 18066,
  WorkletGlobalScope = 18074,
  WritableStream = 18093,
  WritableStreamDefaultController = 18108,
  WritableStreamDefaultWriter = 18140,
  XMLDocument = 18168,
  XMLHttpRequest = 18180,
  XMLHttpRequestEventTarget = 18195,
  XMLHttpRequestUpload = 18221,
  XMLSerializer = 18242,
  XPathEvaluator = 18256,
  XPathExpression = 18271,
  XPathResult = 18287,
  XRBoundedReferenceSpace = 18299,
  XRFrame = 18323,
  XRInputSource = 18331,
  XRInputSourceArray = 18345,
  XRInputSourceEvent = 18364,
  XRInputSourcesChangeEvent = 18383,
  XRPose = 18409,
  XRReferenceSpace = 18416,
  XRReferenceSpaceEvent = 18433,
  XRRenderState = 18455,
  XRRigidTransform = 18469,
  XRSession = 18486,
  XRSessionEvent = 18496,
  XRSpace = 18511,
  XRSystem = 18519,
  XRView = 18528,
  XRViewerPose = 18535,
  XRViewport = 18548,
  XRWebGLLayer = 18559,
  XSLTProcessor = 18572,
  XULCommandEvent = 18586,
  XULElement = 18602,
  XULFrameElement = 18613,
  XULMenuElement = 18629,
  XULPopupElement = 18644,
  XULResizerElement = 18660,
  XULTextElement = 18678,
  XULTreeElement = 18693,
  console = 18708,
  webkitSpeechGrammar = 18716,
  webkitSpeechGrammarList = 18736,
  webkitSpeechRecognition = 18760,
  webkitURL = 18784,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
