#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSS" "\0"
  /*   862 */ "CSS2Properties" "\0"
  /*   877 */ "CSSAnimation" "\0"
  /*   890 */ "CSSConditionRule" "\0"
  /*   907 */ "CSSContainerRule" "\0"
  /*   924 */ "CSSCounterStyleRule" "\0"
  /*   944 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*   977 */ "CSSFontFaceRule" "\0"
  /*   993 */ "CSSFontFeatureValuesRule" "\0"
  /*  1018 */ "CSSFontPaletteValuesRule" "\0"
  /*  1043 */ "CSSGroupingRule" "\0"
  /*  1059 */ "CSSImportRule" "\0"
  /*  1073 */ "CSSKeyframeRule" "\0"
  /*  1089 */ "CSSKeyframesRule" "\0"
  /*  1106 */ "CSSLayerBlockRule" "\0"
  /*  1124 */ "CSSLayerStatementRule" "\0"
  /*  1146 */ "CSSMarginRule" "\0"
  /*  1160 */ "CSSMediaRule" "\0"
  /*  1173 */ "CSSMozDocumentRule" "\0"
  /*  1192 */ "CSSNamespaceRule" "\0"
  /*  1209 */ "CSSPageRule" "\0"
  /*  1221 */ "CSSPropertyRule" "\0"
  /*  1237 */ "CSSPseudoElement" "\0"
  /*  1254 */ "CSSRule" "\0"
  /*  1262 */ "CSSRuleList" "\0"
  /*  1274 */ "CSSScopeRule" "\0"
  /*  1287 */ "CSSStartingStyleRule" "\0"
  /*  1308 */ "CSSStyleDeclaration" "\0"
  /*  1328 */ "CSSStyleRule" "\0"
  /*  1341 */ "CSSStyleSheet" "\0"
  /*  1355 */ "CSSSupportsRule" "\0"
  /*  1371 */ "CSSTransition" "\0"
  /*  1385 */ "Cache" "\0"
  /*  1391 */ "CacheStorage" "\0"
  /*  1404 */ "CallbackDebuggerNotification" "\0"
  /*  1433 */ "CanonicalBrowsingContext" "\0"
  /*  1458 */ "CanvasCaptureMediaStream" "\0"
  /*  1483 */ "CanvasGradient" "\0"
  /*  1498 */ "CanvasPattern" "\0"
  /*  1512 */ "CanvasRenderingContext2D" "\0"
  /*  1537 */ "CaretPosition" "\0"
  /*  1551 */ "CaretStateChangedEvent" "\0"
  /*  1574 */ "ChannelMergerNode" "\0"
  /*  1592 */ "ChannelSplitterNode" "\0"
  /*  1612 */ "ChannelWrapper" "\0"
  /*  1627 */ "CharacterData" "\0"
  /*  1641 */ "CheckerboardReportService" "\0"
  /*  1667 */ "ChildProcessMessageManager" "\0"
  /*  1694 */ "ChildSHistory" "\0"
  /*  1708 */ "ChromeMessageBroadcaster" "\0"
  /*  1733 */ "ChromeMessageSender" "\0"
  /*  1753 */ "ChromeNodeList" "\0"
  /*  1768 */ "ChromeUtils" "\0"
  /*  1780 */ "ChromeWorker" "\0"
  /*  1793 */ "Client" "\0"
  /*  1800 */ "Clients" "\0"
  /*  1808 */ "Clipboard" "\0"
  /*  1818 */ "ClipboardEvent" "\0"
  /*  1833 */ "ClipboardItem" "\0"
  /*  1847 */ "ClonedErrorHolder" "\0"
  /*  1865 */ "CloseEvent" "\0"
  /*  1876 */ "CommandEvent" "\0"
  /*  1889 */ "Comment" "\0"
  /*  1897 */ "CompositionEvent" "\0"
  /*  1914 */ "CompressionStream" "\0"
  /*  1932 */ "ConsoleInstance" "\0"
  /*  1948 */ "ConstantSourceNode" "\0"
  /*  1967 */ "ContentFrameMessageManager" "\0"
  /*  1994 */ "ContentProcessMessageManager" "\0"
  /*  2023 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2061 */ "ConvolverNode" "\0"
  /*  2075 */ "CountQueuingStrategy" "\0"
  /*  2096 */ "CreateOfferRequest" "\0"
  /*  2115 */ "Credential" "\0"
  /*  2126 */ "CredentialsContainer" "\0"
  /*  2147 */ "Crypto" "\0"
  /*  2154 */ "CryptoKey" "\0"
  /*  2164 */ "CustomElementRegistry" "\0"
  /*  2186 */ "CustomEvent" "\0"
  /*  2198 */ "CustomStateSet" "\0"
  /*  2213 */ "DOMException" "\0"
  /*  2226 */ "DOMImplementation" "\0"
  /*  2244 */ "DOMLocalization" "\0"
  /*  2260 */ "DOMMatrix" "\0"
  /*  2270 */ "DOMMatrixReadOnly" "\0"
  /*  2288 */ "DOMParser" "\0"
  /*  2298 */ "DOMPoint" "\0"
  /*  2307 */ "DOMPointReadOnly" "\0"
  /*  2324 */ "DOMQuad" "\0"
  /*  2332 */ "DOMRect" "\0"
  /*  2340 */ "DOMRectList" "\0"
  /*  2352 */ "DOMRectReadOnly" "\0"
  /*  2368 */ "DOMStringList" "\0"
  /*  2382 */ "DOMStringMap" "\0"
  /*  2395 */ "DOMTokenList" "\0"
  /*  2408 */ "DataTransfer" "\0"
  /*  2421 */ "DataTransferItem" "\0"
  /*  2438 */ "DataTransferItemList" "\0"
  /*  2459 */ "DebuggerNotification" "\0"
  /*  2480 */ "DebuggerNotificationObserver" "\0"
  /*  2509 */ "DecompressionStream" "\0"
  /*  2529 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2556 */ "DelayNode" "\0"
  /*  2566 */ "DeprecationReportBody" "\0"
  /*  2588 */ "DeviceAcceleration" "\0"
  /*  2607 */ "DeviceLightEvent" "\0"
  /*  2624 */ "DeviceMotionEvent" "\0"
  /*  2642 */ "DeviceOrientationEvent" "\0"
  /*  2665 */ "DeviceRotationRate" "\0"
  /*  2684 */ "Directory" "\0"
  /*  2694 */ "Document" "\0"
  /*  2703 */ "DocumentFragment" "\0"
  /*  2720 */ "DocumentL10n" "\0"
  /*  2733 */ "DocumentTimeline" "\0"
  /*  2750 */ "DocumentType" "\0"
  /*  2763 */ "DominatorTree" "\0"
  /*  2777 */ "DragEvent" "\0"
  /*  2787 */ "DynamicsCompressorNode" "\0"
  /*  2810 */ "EXT_blend_minmax" "\0"
  /*  2827 */ "EXT_color_buffer_float" "\0"
  /*  2850 */ "EXT_color_buffer_half_float" "\0"
  /*  2878 */ "EXT_disjoint_timer_query" "\0"
  /*  2903 */ "EXT_float_blend" "\0"
  /*  2919 */ "EXT_frag_depth" "\0"
  /*  2934 */ "EXT_sRGB" "\0"
  /*  2943 */ "EXT_shader_texture_lod" "\0"
  /*  2966 */ "EXT_texture_compression_bptc" "\0"
  /*  2995 */ "EXT_texture_compression_rgtc" "\0"
  /*  3024 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3055 */ "EXT_texture_norm16" "\0"
  /*  3074 */ "Element" "\0"
  /*  3082 */ "ElementInternals" "\0"
  /*  3099 */ "EncodedAudioChunk" "\0"
  /*  3117 */ "EncodedVideoChunk" "\0"
  /*  3135 */ "ErrorEvent" "\0"
  /*  3146 */ "Event" "\0"
  /*  3152 */ "EventCallbackDebuggerNotification" "\0"
  /*  3186 */ "EventCounts" "\0"
  /*  3198 */ "EventSource" "\0"
  /*  3210 */ "EventTarget" "\0"
  /*  3222 */ "Exception" "\0"
  /*  3232 */ "ExtendableEvent" "\0"
  /*  3248 */ "ExtendableMessageEvent" "\0"
  /*  3271 */ "ExtensionAlarms" "\0"
  /*  3287 */ "ExtensionBrowser" "\0"
  /*  3304 */ "ExtensionBrowserSettings" "\0"
  /*  3329 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3369 */ "ExtensionDns" "\0"
  /*  3382 */ "ExtensionEventManager" "\0"
  /*  3404 */ "ExtensionMockAPI" "\0"
  /*  3421 */ "ExtensionPort" "\0"
  /*  3435 */ "ExtensionProxy" "\0"
  /*  3450 */ "ExtensionRuntime" "\0"
  /*  3467 */ "ExtensionScripting" "\0"
  /*  3486 */ "ExtensionSetting" "\0"
  /*  3503 */ "ExtensionTest" "\0"
  /*  3517 */ "External" "\0"
  /*  3526 */ "FeaturePolicy" "\0"
  /*  3540 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3573 */ "FetchEvent" "\0"
  /*  3584 */ "FetchObserver" "\0"
  /*  3598 */ "File" "\0"
  /*  3603 */ "FileList" "\0"
  /*  3612 */ "FileReader" "\0"
  /*  3623 */ "FileReaderSync" "\0"
  /*  3638 */ "FileSystem" "\0"
  /*  3649 */ "FileSystemDirectoryEntry" "\0"
  /*  3674 */ "FileSystemDirectoryHandle" "\0"
  /*  3700 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3740 */ "FileSystemDirectoryIterator" "\0"
  /*  3768 */ "FileSystemDirectoryReader" "\0"
  /*  3794 */ "FileSystemEntry" "\0"
  /*  3810 */ "FileSystemFileEntry" "\0"
  /*  3830 */ "FileSystemFileHandle" "\0"
  /*  3851 */ "FileSystemHandle" "\0"
  /*  3868 */ "FileSystemSyncAccessHandle" "\0"
  /*  3895 */ "FileSystemWritableFileStream" "\0"
  /*  3924 */ "Flex" "\0"
  /*  3929 */ "FlexItemValues" "\0"
  /*  3944 */ "FlexLineValues" "\0"
  /*  3959 */ "FluentBundle" "\0"
  /*  3972 */ "FluentBundleAsyncIterator" "\0"
  /*  3998 */ "FluentBundleIterator" "\0"
  /*  4019 */ "FluentPattern" "\0"
  /*  4033 */ "FluentResource" "\0"
  /*  4048 */ "FocusEvent" "\0"
  /*  4059 */ "FontFace" "\0"
  /*  4068 */ "FontFaceSet" "\0"
  /*  4080 */ "FontFaceSetIterator" "\0"
  /*  4100 */ "FontFaceSetLoadEvent" "\0"
  /*  4121 */ "FormData" "\0"
  /*  4130 */ "FormData Iterator" "\0"
  /*  4148 */ "FormDataEvent" "\0"
  /*  4162 */ "FragmentDirective" "\0"
  /*  4180 */ "FrameCrashedEvent" "\0"
  /*  4198 */ "FrameLoader" "\0"
  /*  4210 */ "GPU" "\0"
  /*  4214 */ "GPUAdapter" "\0"
  /*  4225 */ "GPUAdapterInfo" "\0"
  /*  4240 */ "GPUBindGroup" "\0"
  /*  4253 */ "GPUBindGroupLayout" "\0"
  /*  4272 */ "GPUBuffer" "\0"
  /*  4282 */ "GPUBufferUsage" "\0"
  /*  4297 */ "GPUCanvasContext" "\0"
  /*  4314 */ "GPUColorWrite" "\0"
  /*  4328 */ "GPUCommandBuffer" "\0"
  /*  4345 */ "GPUCommandEncoder" "\0"
  /*  4363 */ "GPUCompilationInfo" "\0"
  /*  4382 */ "GPUCompilationMessage" "\0"
  /*  4404 */ "GPUComputePassEncoder" "\0"
  /*  4426 */ "GPUComputePipeline" "\0"
  /*  4445 */ "GPUDevice" "\0"
  /*  4455 */ "GPUDeviceLostInfo" "\0"
  /*  4473 */ "GPUError" "\0"
  /*  4482 */ "GPUInternalError" "\0"
  /*  4499 */ "GPUMapMode" "\0"
  /*  4510 */ "GPUOutOfMemoryError" "\0"
  /*  4530 */ "GPUPipelineLayout" "\0"
  /*  4548 */ "GPUQuerySet" "\0"
  /*  4560 */ "GPUQueue" "\0"
  /*  4569 */ "GPURenderBundle" "\0"
  /*  4585 */ "GPURenderBundleEncoder" "\0"
  /*  4608 */ "GPURenderPassEncoder" "\0"
  /*  4629 */ "GPURenderPipeline" "\0"
  /*  4647 */ "GPUSampler" "\0"
  /*  4658 */ "GPUShaderModule" "\0"
  /*  4674 */ "GPUShaderStage" "\0"
  /*  4689 */ "GPUSupportedFeatures" "\0"
  /*  4710 */ "GPUSupportedLimits" "\0"
  /*  4729 */ "GPUTexture" "\0"
  /*  4740 */ "GPUTextureUsage" "\0"
  /*  4756 */ "GPUTextureView" "\0"
  /*  4771 */ "GPUUncapturedErrorEvent" "\0"
  /*  4795 */ "GPUValidationError" "\0"
  /*  4814 */ "GainNode" "\0"
  /*  4823 */ "Gamepad" "\0"
  /*  4831 */ "GamepadAxisMoveEvent" "\0"
  /*  4852 */ "GamepadButton" "\0"
  /*  4866 */ "GamepadButtonEvent" "\0"
  /*  4885 */ "GamepadEvent" "\0"
  /*  4898 */ "GamepadHapticActuator" "\0"
  /*  4920 */ "GamepadLightIndicator" "\0"
  /*  4942 */ "GamepadPose" "\0"
  /*  4954 */ "GamepadServiceTest" "\0"
  /*  4973 */ "GamepadTouch" "\0"
  /*  4986 */ "Geolocation" "\0"
  /*  4998 */ "GeolocationCoordinates" "\0"
  /*  5021 */ "GeolocationPosition" "\0"
  /*  5041 */ "GeolocationPositionError" "\0"
  /*  5066 */ "GetUserMediaRequest" "\0"
  /*  5086 */ "GleanBoolean" "\0"
  /*  5099 */ "GleanCategory" "\0"
  /*  5113 */ "GleanCounter" "\0"
  /*  5126 */ "GleanCustomDistribution" "\0"
  /*  5150 */ "GleanDatetime" "\0"
  /*  5164 */ "GleanDenominator" "\0"
  /*  5181 */ "GleanEvent" "\0"
  /*  5192 */ "GleanImpl" "\0"
  /*  5202 */ "GleanLabeled" "\0"
  /*  5215 */ "GleanMemoryDistribution" "\0"
  /*  5239 */ "GleanMetric" "\0"
  /*  5251 */ "GleanNumerator" "\0"
  /*  5266 */ "GleanObject" "\0"
  /*  5278 */ "GleanPingsImpl" "\0"
  /*  5293 */ "GleanQuantity" "\0"
  /*  5307 */ "GleanRate" "\0"
  /*  5317 */ "GleanString" "\0"
  /*  5329 */ "GleanStringList" "\0"
  /*  5345 */ "GleanText" "\0"
  /*  5355 */ "GleanTimespan" "\0"
  /*  5369 */ "GleanTimingDistribution" "\0"
  /*  5393 */ "GleanUrl" "\0"
  /*  5402 */ "GleanUuid" "\0"
  /*  5412 */ "Grid" "\0"
  /*  5417 */ "GridArea" "\0"
  /*  5426 */ "GridDimension" "\0"
  /*  5440 */ "GridLine" "\0"
  /*  5449 */ "GridLines" "\0"
  /*  5459 */ "GridTrack" "\0"
  /*  5469 */ "GridTracks" "\0"
  /*  5480 */ "HTMLAllCollection" "\0"
  /*  5498 */ "HTMLAnchorElement" "\0"
  /*  5516 */ "HTMLAreaElement" "\0"
  /*  5532 */ "HTMLAudioElement" "\0"
  /*  5549 */ "HTMLBRElement" "\0"
  /*  5563 */ "HTMLBaseElement" "\0"
  /*  5579 */ "HTMLBodyElement" "\0"
  /*  5595 */ "HTMLButtonElement" "\0"
  /*  5613 */ "HTMLCanvasElement" "\0"
  /*  5631 */ "HTMLCollection" "\0"
  /*  5646 */ "HTMLDListElement" "\0"
  /*  5663 */ "HTMLDataElement" "\0"
  /*  5679 */ "HTMLDataListElement" "\0"
  /*  5699 */ "HTMLDetailsElement" "\0"
  /*  5718 */ "HTMLDialogElement" "\0"
  /*  5736 */ "HTMLDirectoryElement" "\0"
  /*  5757 */ "HTMLDivElement" "\0"
  /*  5772 */ "HTMLDocument" "\0"
  /*  5785 */ "HTMLElement" "\0"
  /*  5797 */ "HTMLEmbedElement" "\0"
  /*  5814 */ "HTMLFieldSetElement" "\0"
  /*  5834 */ "HTMLFontElement" "\0"
  /*  5850 */ "HTMLFormControlsCollection" "\0"
  /*  5877 */ "HTMLFormElement" "\0"
  /*  5893 */ "HTMLFrameElement" "\0"
  /*  5910 */ "HTMLFrameSetElement" "\0"
  /*  5930 */ "HTMLHRElement" "\0"
  /*  5944 */ "HTMLHeadElement" "\0"
  /*  5960 */ "HTMLHeadingElement" "\0"
  /*  5979 */ "HTMLHtmlElement" "\0"
  /*  5995 */ "HTMLIFrameElement" "\0"
  /*  6013 */ "HTMLImageElement" "\0"
  /*  6030 */ "HTMLInputElement" "\0"
  /*  6047 */ "HTMLLIElement" "\0"
  /*  6061 */ "HTMLLabelElement" "\0"
  /*  6078 */ "HTMLLegendElement" "\0"
  /*  6096 */ "HTMLLinkElement" "\0"
  /*  6112 */ "HTMLMapElement" "\0"
  /*  6127 */ "HTMLMarqueeElement" "\0"
  /*  6146 */ "HTMLMediaElement" "\0"
  /*  6163 */ "HTMLMenuElement" "\0"
  /*  6179 */ "HTMLMetaElement" "\0"
  /*  6195 */ "HTMLMeterElement" "\0"
  /*  6212 */ "HTMLModElement" "\0"
  /*  6227 */ "HTMLOListElement" "\0"
  /*  6244 */ "HTMLObjectElement" "\0"
  /*  6262 */ "HTMLOptGroupElement" "\0"
  /*  6282 */ "HTMLOptionElement" "\0"
  /*  6300 */ "HTMLOptionsCollection" "\0"
  /*  6322 */ "HTMLOutputElement" "\0"
  /*  6340 */ "HTMLParagraphElement" "\0"
  /*  6361 */ "HTMLParamElement" "\0"
  /*  6378 */ "HTMLPictureElement" "\0"
  /*  6397 */ "HTMLPreElement" "\0"
  /*  6412 */ "HTMLProgressElement" "\0"
  /*  6432 */ "HTMLQuoteElement" "\0"
  /*  6449 */ "HTMLScriptElement" "\0"
  /*  6467 */ "HTMLSelectElement" "\0"
  /*  6485 */ "HTMLSlotElement" "\0"
  /*  6501 */ "HTMLSourceElement" "\0"
  /*  6519 */ "HTMLSpanElement" "\0"
  /*  6535 */ "HTMLStyleElement" "\0"
  /*  6552 */ "HTMLTableCaptionElement" "\0"
  /*  6576 */ "HTMLTableCellElement" "\0"
  /*  6597 */ "HTMLTableColElement" "\0"
  /*  6617 */ "HTMLTableElement" "\0"
  /*  6634 */ "HTMLTableRowElement" "\0"
  /*  6654 */ "HTMLTableSectionElement" "\0"
  /*  6678 */ "HTMLTemplateElement" "\0"
  /*  6698 */ "HTMLTextAreaElement" "\0"
  /*  6718 */ "HTMLTimeElement" "\0"
  /*  6734 */ "HTMLTitleElement" "\0"
  /*  6751 */ "HTMLTrackElement" "\0"
  /*  6768 */ "HTMLUListElement" "\0"
  /*  6785 */ "HTMLUnknownElement" "\0"
  /*  6804 */ "HTMLVideoElement" "\0"
  /*  6821 */ "HashChangeEvent" "\0"
  /*  6837 */ "Headers" "\0"
  /*  6845 */ "Headers Iterator" "\0"
  /*  6862 */ "HeapSnapshot" "\0"
  /*  6875 */ "Highlight" "\0"
  /*  6885 */ "HighlightRegistry" "\0"
  /*  6903 */ "History" "\0"
  /*  6911 */ "IDBCursor" "\0"
  /*  6921 */ "IDBCursorWithValue" "\0"
  /*  6940 */ "IDBDatabase" "\0"
  /*  6952 */ "IDBFactory" "\0"
  /*  6963 */ "IDBIndex" "\0"
  /*  6972 */ "IDBKeyRange" "\0"
  /*  6984 */ "IDBObjectStore" "\0"
  /*  6999 */ "IDBOpenDBRequest" "\0"
  /*  7016 */ "IDBRequest" "\0"
  /*  7027 */ "IDBTransaction" "\0"
  /*  7042 */ "IDBVersionChangeEvent" "\0"
  /*  7064 */ "IIRFilterNode" "\0"
  /*  7078 */ "IOUtils" "\0"
  /*  7086 */ "IdentityCredential" "\0"
  /*  7105 */ "IdleDeadline" "\0"
  /*  7118 */ "Image" "\0"
  /*  7124 */ "ImageBitmap" "\0"
  /*  7136 */ "ImageBitmapRenderingContext" "\0"
  /*  7164 */ "ImageCapture" "\0"
  /*  7177 */ "ImageCaptureError" "\0"
  /*  7195 */ "ImageCaptureErrorEvent" "\0"
  /*  7218 */ "ImageData" "\0"
  /*  7228 */ "ImageDocument" "\0"
  /*  7242 */ "InputEvent" "\0"
  /*  7253 */ "InspectorCSSParser" "\0"
  /*  7272 */ "InspectorFontFace" "\0"
  /*  7290 */ "InspectorUtils" "\0"
  /*  7305 */ "InstallTriggerImpl" "\0"
  /*  7324 */ "IntersectionObserver" "\0"
  /*  7345 */ "IntersectionObserverEntry" "\0"
  /*  7371 */ "IntlUtils" "\0"
  /*  7381 */ "InvokeEvent" "\0"
  /*  7393 */ "JSProcessActorChild" "\0"
  /*  7413 */ "JSProcessActorParent" "\0"
  /*  7434 */ "JSWindowActorChild" "\0"
  /*  7453 */ "JSWindowActorParent" "\0"
  /*  7473 */ "KeyEvent" "\0"
  /*  7482 */ "KeyboardEvent" "\0"
  /*  7496 */ "KeyframeEffect" "\0"
  /*  7511 */ "L10nFileSource" "\0"
  /*  7526 */ "L10nOverlays" "\0"
  /*  7539 */ "L10nRegistry" "\0"
  /*  7552 */ "LargestContentfulPaint" "\0"
  /*  7575 */ "LegacyMozTCPSocket" "\0"
  /*  7594 */ "Localization" "\0"
  /*  7607 */ "Location" "\0"
  /*  7616 */ "Lock" "\0"
  /*  7621 */ "LockManager" "\0"
  /*  7633 */ "MIDIAccess" "\0"
  /*  7644 */ "MIDIConnectionEvent" "\0"
  /*  7664 */ "MIDIInput" "\0"
  /*  7674 */ "MIDIInputMap" "\0"
  /*  7687 */ "MIDIMessageEvent" "\0"
  /*  7704 */ "MIDIOutput" "\0"
  /*  7715 */ "MIDIOutputMap" "\0"
  /*  7729 */ "MIDIPort" "\0"
  /*  7738 */ "MOZ_debug" "\0"
  /*  7748 */ "MatchGlob" "\0"
  /*  7758 */ "MatchPattern" "\0"
  /*  7771 */ "MatchPatternSet" "\0"
  /*  7787 */ "MathMLElement" "\0"
  /*  7801 */ "MediaCapabilities" "\0"
  /*  7819 */ "MediaCapabilitiesInfo" "\0"
  /*  7841 */ "MediaControlService" "\0"
  /*  7861 */ "MediaController" "\0"
  /*  7877 */ "MediaDeviceInfo" "\0"
  /*  7893 */ "MediaDevices" "\0"
  /*  7906 */ "MediaElementAudioSourceNode" "\0"
  /*  7934 */ "MediaEncryptedEvent" "\0"
  /*  7954 */ "MediaError" "\0"
  /*  7965 */ "MediaKeyError" "\0"
  /*  7979 */ "MediaKeyMessageEvent" "\0"
  /*  8000 */ "MediaKeySession" "\0"
  /*  8016 */ "MediaKeyStatusMap" "\0"
  /*  8034 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8061 */ "MediaKeySystemAccess" "\0"
  /*  8082 */ "MediaKeys" "\0"
  /*  8092 */ "MediaList" "\0"
  /*  8102 */ "MediaMetadata" "\0"
  /*  8116 */ "MediaQueryList" "\0"
  /*  8131 */ "MediaQueryListEvent" "\0"
  /*  8151 */ "MediaRecorder" "\0"
  /*  8165 */ "MediaRecorderErrorEvent" "\0"
  /*  8189 */ "MediaSession" "\0"
  /*  8202 */ "MediaSource" "\0"
  /*  8214 */ "MediaStream" "\0"
  /*  8226 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8258 */ "MediaStreamAudioSourceNode" "\0"
  /*  8285 */ "MediaStreamError" "\0"
  /*  8302 */ "MediaStreamEvent" "\0"
  /*  8319 */ "MediaStreamTrack" "\0"
  /*  8336 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8368 */ "MediaStreamTrackEvent" "\0"
  /*  8390 */ "MerchantValidationEvent" "\0"
  /*  8414 */ "MessageBroadcaster" "\0"
  /*  8433 */ "MessageChannel" "\0"
  /*  8448 */ "MessageEvent" "\0"
  /*  8461 */ "MessageListenerManager" "\0"
  /*  8484 */ "MessagePort" "\0"
  /*  8496 */ "MessageSender" "\0"
  /*  8510 */ "MimeType" "\0"
  /*  8519 */ "MimeTypeArray" "\0"
  /*  8533 */ "MouseEvent" "\0"
  /*  8544 */ "MouseScrollEvent" "\0"
  /*  8561 */ "MozCanvasPrintState" "\0"
  /*  8581 */ "MozDocumentMatcher" "\0"
  /*  8600 */ "MozDocumentObserver" "\0"
  /*  8620 */ "MozQueryInterface" "\0"
  /*  8638 */ "MozSharedMap" "\0"
  /*  8651 */ "MozSharedMap Iterator" "\0"
  /*  8673 */ "MozSharedMapChangeEvent" "\0"
  /*  8697 */ "MozStorageAsyncStatementParams" "\0"
  /*  8728 */ "MozStorageStatementParams" "\0"
  /*  8754 */ "MozStorageStatementRow" "\0"
  /*  8777 */ "MozWritableSharedMap" "\0"
  /*  8798 */ "MutationEvent" "\0"
  /*  8812 */ "MutationObserver" "\0"
  /*  8829 */ "MutationRecord" "\0"
  /*  8844 */ "NamedNodeMap" "\0"
  /*  8857 */ "NavigationPreloadManager" "\0"
  /*  8882 */ "Navigator" "\0"
  /*  8892 */ "NetworkInformation" "\0"
  /*  8911 */ "Node" "\0"
  /*  8916 */ "NodeFilter" "\0"
  /*  8927 */ "NodeIterator" "\0"
  /*  8940 */ "NodeList" "\0"
  /*  8949 */ "Notification" "\0"
  /*  8962 */ "NotificationEvent" "\0"
  /*  8980 */ "NotifyPaintEvent" "\0"
  /*  8997 */ "OES_draw_buffers_indexed" "\0"
  /*  9022 */ "OES_element_index_uint" "\0"
  /*  9045 */ "OES_fbo_render_mipmap" "\0"
  /*  9067 */ "OES_standard_derivatives" "\0"
  /*  9092 */ "OES_texture_float" "\0"
  /*  9110 */ "OES_texture_float_linear" "\0"
  /*  9135 */ "OES_texture_half_float" "\0"
  /*  9158 */ "OES_texture_half_float_linear" "\0"
  /*  9188 */ "OES_vertex_array_object" "\0"
  /*  9212 */ "OVR_multiview2" "\0"
  /*  9227 */ "OfflineAudioCompletionEvent" "\0"
  /*  9255 */ "OfflineAudioContext" "\0"
  /*  9275 */ "OffscreenCanvas" "\0"
  /*  9291 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9325 */ "OnlyForUseInConstructor" "\0"
  /*  9349 */ "Option" "\0"
  /*  9356 */ "OscillatorNode" "\0"
  /*  9371 */ "PageTransitionEvent" "\0"
  /*  9391 */ "PaintRequest" "\0"
  /*  9404 */ "PaintRequestList" "\0"
  /*  9421 */ "PaintWorkletGlobalScope" "\0"
  /*  9445 */ "PannerNode" "\0"
  /*  9456 */ "ParentProcessMessageManager" "\0"
  /*  9484 */ "Path2D" "\0"
  /*  9491 */ "PathUtils" "\0"
  /*  9501 */ "PaymentAddress" "\0"
  /*  9516 */ "PaymentMethodChangeEvent" "\0"
  /*  9541 */ "PaymentRequest" "\0"
  /*  9556 */ "PaymentRequestUpdateEvent" "\0"
  /*  9582 */ "PaymentResponse" "\0"
  /*  9598 */ "Performance" "\0"
  /*  9610 */ "PerformanceEntry" "\0"
  /*  9627 */ "PerformanceEntryEvent" "\0"
  /*  9649 */ "PerformanceEventTiming" "\0"
  /*  9672 */ "PerformanceMark" "\0"
  /*  9688 */ "PerformanceMeasure" "\0"
  /*  9707 */ "PerformanceNavigation" "\0"
  /*  9729 */ "PerformanceNavigationTiming" "\0"
  /*  9757 */ "PerformanceObserver" "\0"
  /*  9777 */ "PerformanceObserverEntryList" "\0"
  /*  9806 */ "PerformancePaintTiming" "\0"
  /*  9829 */ "PerformanceResourceTiming" "\0"
  /*  9855 */ "PerformanceServerTiming" "\0"
  /*  9879 */ "PerformanceTiming" "\0"
  /*  9897 */ "PeriodicWave" "\0"
  /*  9910 */ "PermissionStatus" "\0"
  /*  9927 */ "Permissions" "\0"
  /*  9939 */ "PlacesBookmark" "\0"
  /*  9954 */ "PlacesBookmarkAddition" "\0"
  /*  9977 */ "PlacesBookmarkChanged" "\0"
  /*  9999 */ "PlacesBookmarkGuid" "\0"
  /* 10018 */ "PlacesBookmarkKeyword" "\0"
  /* 10040 */ "PlacesBookmarkMoved" "\0"
  /* 10060 */ "PlacesBookmarkRemoved" "\0"
  /* 10082 */ "PlacesBookmarkTags" "\0"
  /* 10101 */ "PlacesBookmarkTime" "\0"
  /* 10120 */ "PlacesBookmarkTitle" "\0"
  /* 10140 */ "PlacesBookmarkUrl" "\0"
  /* 10158 */ "PlacesEvent" "\0"
  /* 10170 */ "PlacesEventCounts" "\0"
  /* 10188 */ "PlacesFavicon" "\0"
  /* 10202 */ "PlacesHistoryCleared" "\0"
  /* 10223 */ "PlacesObservers" "\0"
  /* 10239 */ "PlacesPurgeCaches" "\0"
  /* 10257 */ "PlacesRanking" "\0"
  /* 10271 */ "PlacesVisit" "\0"
  /* 10283 */ "PlacesVisitRemoved" "\0"
  /* 10302 */ "PlacesVisitTitle" "\0"
  /* 10319 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10345 */ "Plugin" "\0"
  /* 10352 */ "PluginArray" "\0"
  /* 10364 */ "PluginCrashedEvent" "\0"
  /* 10383 */ "PointerEvent" "\0"
  /* 10396 */ "PopStateEvent" "\0"
  /* 10410 */ "PopupBlockedEvent" "\0"
  /* 10428 */ "PopupPositionedEvent" "\0"
  /* 10449 */ "PositionStateEvent" "\0"
  /* 10468 */ "PrecompiledScript" "\0"
  /* 10486 */ "PrivateAttribution" "\0"
  /* 10505 */ "ProcessMessageManager" "\0"
  /* 10527 */ "ProcessingInstruction" "\0"
  /* 10549 */ "ProgressEvent" "\0"
  /* 10563 */ "PromiseDebugging" "\0"
  /* 10580 */ "PromiseNativeHandler" "\0"
  /* 10601 */ "PromiseRejectionEvent" "\0"
  /* 10623 */ "PublicKeyCredential" "\0"
  /* 10643 */ "PushEvent" "\0"
  /* 10653 */ "PushManager" "\0"
  /* 10665 */ "PushManagerImpl" "\0"
  /* 10681 */ "PushMessageData" "\0"
  /* 10697 */ "PushSubscription" "\0"
  /* 10714 */ "PushSubscriptionOptions" "\0"
  /* 10738 */ "RadioNodeList" "\0"
  /* 10752 */ "Range" "\0"
  /* 10758 */ "ReadableByteStreamController" "\0"
  /* 10787 */ "ReadableStream" "\0"
  /* 10802 */ "ReadableStream AsyncIterator" "\0"
  /* 10831 */ "ReadableStreamBYOBReader" "\0"
  /* 10856 */ "ReadableStreamBYOBRequest" "\0"
  /* 10882 */ "ReadableStreamDefaultController" "\0"
  /* 10914 */ "ReadableStreamDefaultReader" "\0"
  /* 10942 */ "Report" "\0"
  /* 10949 */ "ReportBody" "\0"
  /* 10960 */ "ReportingObserver" "\0"
  /* 10978 */ "Request" "\0"
  /* 10986 */ "ResizeObserver" "\0"
  /* 11001 */ "ResizeObserverEntry" "\0"
  /* 11021 */ "ResizeObserverSize" "\0"
  /* 11040 */ "Response" "\0"
  /* 11049 */ "SVGAElement" "\0"
  /* 11061 */ "SVGAngle" "\0"
  /* 11070 */ "SVGAnimateElement" "\0"
  /* 11088 */ "SVGAnimateMotionElement" "\0"
  /* 11112 */ "SVGAnimateTransformElement" "\0"
  /* 11139 */ "SVGAnimatedAngle" "\0"
  /* 11156 */ "SVGAnimatedBoolean" "\0"
  /* 11175 */ "SVGAnimatedEnumeration" "\0"
  /* 11198 */ "SVGAnimatedInteger" "\0"
  /* 11217 */ "SVGAnimatedLength" "\0"
  /* 11235 */ "SVGAnimatedLengthList" "\0"
  /* 11257 */ "SVGAnimatedNumber" "\0"
  /* 11275 */ "SVGAnimatedNumberList" "\0"
  /* 11297 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11328 */ "SVGAnimatedRect" "\0"
  /* 11344 */ "SVGAnimatedString" "\0"
  /* 11362 */ "SVGAnimatedTransformList" "\0"
  /* 11387 */ "SVGAnimationElement" "\0"
  /* 11407 */ "SVGCircleElement" "\0"
  /* 11424 */ "SVGClipPathElement" "\0"
  /* 11443 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11479 */ "SVGDefsElement" "\0"
  /* 11494 */ "SVGDescElement" "\0"
  /* 11509 */ "SVGElement" "\0"
  /* 11520 */ "SVGEllipseElement" "\0"
  /* 11538 */ "SVGFEBlendElement" "\0"
  /* 11556 */ "SVGFEColorMatrixElement" "\0"
  /* 11580 */ "SVGFEComponentTransferElement" "\0"
  /* 11610 */ "SVGFECompositeElement" "\0"
  /* 11632 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11659 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11687 */ "SVGFEDisplacementMapElement" "\0"
  /* 11715 */ "SVGFEDistantLightElement" "\0"
  /* 11740 */ "SVGFEDropShadowElement" "\0"
  /* 11763 */ "SVGFEFloodElement" "\0"
  /* 11781 */ "SVGFEFuncAElement" "\0"
  /* 11799 */ "SVGFEFuncBElement" "\0"
  /* 11817 */ "SVGFEFuncGElement" "\0"
  /* 11835 */ "SVGFEFuncRElement" "\0"
  /* 11853 */ "SVGFEGaussianBlurElement" "\0"
  /* 11878 */ "SVGFEImageElement" "\0"
  /* 11896 */ "SVGFEMergeElement" "\0"
  /* 11914 */ "SVGFEMergeNodeElement" "\0"
  /* 11936 */ "SVGFEMorphologyElement" "\0"
  /* 11959 */ "SVGFEOffsetElement" "\0"
  /* 11978 */ "SVGFEPointLightElement" "\0"
  /* 12001 */ "SVGFESpecularLightingElement" "\0"
  /* 12030 */ "SVGFESpotLightElement" "\0"
  /* 12052 */ "SVGFETileElement" "\0"
  /* 12069 */ "SVGFETurbulenceElement" "\0"
  /* 12092 */ "SVGFilterElement" "\0"
  /* 12109 */ "SVGForeignObjectElement" "\0"
  /* 12133 */ "SVGGElement" "\0"
  /* 12145 */ "SVGGeometryElement" "\0"
  /* 12164 */ "SVGGradientElement" "\0"
  /* 12183 */ "SVGGraphicsElement" "\0"
  /* 12202 */ "SVGImageElement" "\0"
  /* 12218 */ "SVGLength" "\0"
  /* 12228 */ "SVGLengthList" "\0"
  /* 12242 */ "SVGLineElement" "\0"
  /* 12257 */ "SVGLinearGradientElement" "\0"
  /* 12282 */ "SVGMPathElement" "\0"
  /* 12298 */ "SVGMarkerElement" "\0"
  /* 12315 */ "SVGMaskElement" "\0"
  /* 12330 */ "SVGMatrix" "\0"
  /* 12340 */ "SVGMetadataElement" "\0"
  /* 12359 */ "SVGNumber" "\0"
  /* 12369 */ "SVGNumberList" "\0"
  /* 12383 */ "SVGPathElement" "\0"
  /* 12398 */ "SVGPathSeg" "\0"
  /* 12409 */ "SVGPathSegArcAbs" "\0"
  /* 12426 */ "SVGPathSegArcRel" "\0"
  /* 12443 */ "SVGPathSegClosePath" "\0"
  /* 12463 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12489 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12515 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12547 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12579 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12609 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12639 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12675 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12711 */ "SVGPathSegLinetoAbs" "\0"
  /* 12731 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12761 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12791 */ "SVGPathSegLinetoRel" "\0"
  /* 12811 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12839 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12867 */ "SVGPathSegList" "\0"
  /* 12882 */ "SVGPathSegMovetoAbs" "\0"
  /* 12902 */ "SVGPathSegMovetoRel" "\0"
  /* 12922 */ "SVGPatternElement" "\0"
  /* 12940 */ "SVGPoint" "\0"
  /* 12949 */ "SVGPointList" "\0"
  /* 12962 */ "SVGPolygonElement" "\0"
  /* 12980 */ "SVGPolylineElement" "\0"
  /* 12999 */ "SVGPreserveAspectRatio" "\0"
  /* 13022 */ "SVGRadialGradientElement" "\0"
  /* 13047 */ "SVGRect" "\0"
  /* 13055 */ "SVGRectElement" "\0"
  /* 13070 */ "SVGSVGElement" "\0"
  /* 13084 */ "SVGScriptElement" "\0"
  /* 13101 */ "SVGSetElement" "\0"
  /* 13115 */ "SVGStopElement" "\0"
  /* 13130 */ "SVGStringList" "\0"
  /* 13144 */ "SVGStyleElement" "\0"
  /* 13160 */ "SVGSwitchElement" "\0"
  /* 13177 */ "SVGSymbolElement" "\0"
  /* 13194 */ "SVGTSpanElement" "\0"
  /* 13210 */ "SVGTextContentElement" "\0"
  /* 13232 */ "SVGTextElement" "\0"
  /* 13247 */ "SVGTextPathElement" "\0"
  /* 13266 */ "SVGTextPositioningElement" "\0"
  /* 13292 */ "SVGTitleElement" "\0"
  /* 13308 */ "SVGTransform" "\0"
  /* 13321 */ "SVGTransformList" "\0"
  /* 13338 */ "SVGUnitTypes" "\0"
  /* 13351 */ "SVGUseElement" "\0"
  /* 13365 */ "SVGViewElement" "\0"
  /* 13380 */ "Sanitizer" "\0"
  /* 13390 */ "Scheduler" "\0"
  /* 13400 */ "Screen" "\0"
  /* 13407 */ "ScreenLuminance" "\0"
  /* 13423 */ "ScreenOrientation" "\0"
  /* 13441 */ "ScriptProcessorNode" "\0"
  /* 13461 */ "ScrollAreaEvent" "\0"
  /* 13477 */ "ScrollViewChangeEvent" "\0"
  /* 13499 */ "SecurityPolicyViolationEvent" "\0"
  /* 13528 */ "Selection" "\0"
  /* 13538 */ "ServiceWorker" "\0"
  /* 13552 */ "ServiceWorkerContainer" "\0"
  /* 13575 */ "ServiceWorkerGlobalScope" "\0"
  /* 13600 */ "ServiceWorkerRegistration" "\0"
  /* 13626 */ "SessionStoreFormData" "\0"
  /* 13647 */ "SessionStoreScrollData" "\0"
  /* 13670 */ "SessionStoreUtils" "\0"
  /* 13688 */ "ShadowRealmGlobalScope" "\0"
  /* 13711 */ "ShadowRoot" "\0"
  /* 13722 */ "SharedWorker" "\0"
  /* 13735 */ "SharedWorkerGlobalScope" "\0"
  /* 13759 */ "SimpleGestureEvent" "\0"
  /* 13778 */ "SourceBuffer" "\0"
  /* 13791 */ "SourceBufferList" "\0"
  /* 13808 */ "SpeechGrammar" "\0"
  /* 13822 */ "SpeechGrammarList" "\0"
  /* 13840 */ "SpeechRecognition" "\0"
  /* 13858 */ "SpeechRecognitionAlternative" "\0"
  /* 13887 */ "SpeechRecognitionError" "\0"
  /* 13910 */ "SpeechRecognitionEvent" "\0"
  /* 13933 */ "SpeechRecognitionResult" "\0"
  /* 13957 */ "SpeechRecognitionResultList" "\0"
  /* 13985 */ "SpeechSynthesis" "\0"
  /* 14001 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14027 */ "SpeechSynthesisEvent" "\0"
  /* 14048 */ "SpeechSynthesisUtterance" "\0"
  /* 14073 */ "SpeechSynthesisVoice" "\0"
  /* 14094 */ "StaticRange" "\0"
  /* 14106 */ "StereoPannerNode" "\0"
  /* 14123 */ "Storage" "\0"
  /* 14131 */ "StorageEvent" "\0"
  /* 14144 */ "StorageManager" "\0"
  /* 14159 */ "StreamFilter" "\0"
  /* 14172 */ "StreamFilterDataEvent" "\0"
  /* 14194 */ "StructuredCloneHolder" "\0"
  /* 14216 */ "StructuredCloneTester" "\0"
  /* 14238 */ "StyleSheet" "\0"
  /* 14249 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14286 */ "StyleSheetList" "\0"
  /* 14301 */ "StyleSheetRemovedEvent" "\0"
  /* 14324 */ "SubmitEvent" "\0"
  /* 14336 */ "SubtleCrypto" "\0"
  /* 14349 */ "SyncMessageSender" "\0"
  /* 14367 */ "SyncReadFile" "\0"
  /* 14380 */ "TCPServerSocket" "\0"
  /* 14396 */ "TCPServerSocketEvent" "\0"
  /* 14417 */ "TCPSocket" "\0"
  /* 14427 */ "TCPSocketErrorEvent" "\0"
  /* 14447 */ "TCPSocketEvent" "\0"
  /* 14462 */ "TaskController" "\0"
  /* 14477 */ "TaskPriorityChangeEvent" "\0"
  /* 14501 */ "TaskSignal" "\0"
  /* 14512 */ "TelemetryStopwatch" "\0"
  /* 14531 */ "TestAttributesOnTypes" "\0"
  /* 14553 */ "TestCEReactionsInterface" "\0"
  /* 14578 */ "TestCImplementedInterface" "\0"
  /* 14604 */ "TestCImplementedInterface2" "\0"
  /* 14631 */ "TestCallbackDictUnionOverload" "\0"
  /* 14661 */ "TestChildInterface" "\0"
  /* 14680 */ "TestConstructorForFuncInterface" "\0"
  /* 14712 */ "TestConstructorForPrefInterface" "\0"
  /* 14744 */ "TestConstructorForSCInterface" "\0"
  /* 14774 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 14810 */ "TestDeprecatedInterface" "\0"
  /* 14834 */ "TestExampleInterface" "\0"
  /* 14855 */ "TestExampleProxyInterface" "\0"
  /* 14881 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 14921 */ "TestExampleWorkerInterface" "\0"
  /* 14948 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 14993 */ "TestFuncConstructorForInterface" "\0"
  /* 15025 */ "TestHTMLConstructorInterface" "\0"
  /* 15054 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 15098 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 15133 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 15168 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 15218 */ "TestIndexedGetterInterface" "\0"
  /* 15245 */ "TestIndexedSetterInterface" "\0"
  /* 15272 */ "TestInterface" "\0"
  /* 15286 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 15325 */ "TestJSImplInterface" "\0"
  /* 15345 */ "TestJSImplInterface2" "\0"
  /* 15366 */ "TestJSImplInterface3" "\0"
  /* 15387 */ "TestJSImplInterface4" "\0"
  /* 15408 */ "TestJSImplInterface5" "\0"
  /* 15429 */ "TestJSImplInterface6" "\0"
  /* 15450 */ "TestJSImplNoInterfaceObject" "\0"
  /* 15478 */ "TestLegacyFactoryFunctionInterface" "\0"
  /* 15513 */ "TestLegacyFactoryFunctionInterface2" "\0"
  /* 15549 */ "TestNamedDeleterInterface" "\0"
  /* 15575 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 15611 */ "TestNamedGetterInterface" "\0"
  /* 15636 */ "TestNamedSetterInterface" "\0"
  /* 15661 */ "TestNamespace" "\0"
  /* 15675 */ "TestNonWrapperCacheInterface" "\0"
  /* 15704 */ "TestParentInterface" "\0"
  /* 15724 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 15772 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 15817 */ "TestPrefConstructorForInterface" "\0"
  /* 15849 */ "TestProtoObjectHackedNamespace" "\0"
  /* 15880 */ "TestRenamedInterface" "\0"
  /* 15901 */ "TestRenamedNamespace" "\0"
  /* 15922 */ "TestSCConstructorForInterface" "\0"
  /* 15952 */ "TestSecureContextInterface" "\0"
  /* 15979 */ "TestThrowingConstructorInterface" "\0"
  /* 16012 */ "TestUtils" "\0"
  /* 16022 */ "TestWorkerExposedInterface" "\0"
  /* 16049 */ "TestingDeprecatedInterface" "\0"
  /* 16076 */ "Text" "\0"
  /* 16081 */ "TextClause" "\0"
  /* 16092 */ "TextDecoder" "\0"
  /* 16104 */ "TextDecoderStream" "\0"
  /* 16122 */ "TextEncoder" "\0"
  /* 16134 */ "TextEncoderStream" "\0"
  /* 16152 */ "TextEvent" "\0"
  /* 16162 */ "TextMetrics" "\0"
  /* 16174 */ "TextTrack" "\0"
  /* 16184 */ "TextTrackCue" "\0"
  /* 16197 */ "TextTrackCueList" "\0"
  /* 16214 */ "TextTrackList" "\0"
  /* 16228 */ "TimeEvent" "\0"
  /* 16238 */ "TimeRanges" "\0"
  /* 16249 */ "ToggleEvent" "\0"
  /* 16261 */ "Touch" "\0"
  /* 16267 */ "TouchEvent" "\0"
  /* 16278 */ "TouchList" "\0"
  /* 16288 */ "TrackEvent" "\0"
  /* 16299 */ "TransformStream" "\0"
  /* 16315 */ "TransformStreamDefaultController" "\0"
  /* 16348 */ "TransitionEvent" "\0"
  /* 16364 */ "TreeColumn" "\0"
  /* 16375 */ "TreeColumns" "\0"
  /* 16387 */ "TreeContentView" "\0"
  /* 16403 */ "TreeWalker" "\0"
  /* 16414 */ "TrustedHTML" "\0"
  /* 16426 */ "TrustedScript" "\0"
  /* 16440 */ "TrustedScriptURL" "\0"
  /* 16457 */ "TrustedTypePolicy" "\0"
  /* 16475 */ "TrustedTypePolicyFactory" "\0"
  /* 16500 */ "UDPMessageEvent" "\0"
  /* 16516 */ "UDPSocket" "\0"
  /* 16526 */ "UIEvent" "\0"
  /* 16534 */ "URL" "\0"
  /* 16538 */ "URLSearchParams" "\0"
  /* 16554 */ "URLSearchParams Iterator" "\0"
  /* 16579 */ "UniFFIPointer" "\0"
  /* 16593 */ "UniFFIScaffolding" "\0"
  /* 16611 */ "UserActivation" "\0"
  /* 16626 */ "UserInteraction" "\0"
  /* 16642 */ "UserProximityEvent" "\0"
  /* 16661 */ "VRDisplay" "\0"
  /* 16671 */ "VRDisplayCapabilities" "\0"
  /* 16693 */ "VRDisplayEvent" "\0"
  /* 16708 */ "VREyeParameters" "\0"
  /* 16724 */ "VRFieldOfView" "\0"
  /* 16738 */ "VRFrameData" "\0"
  /* 16750 */ "VRMockController" "\0"
  /* 16767 */ "VRMockDisplay" "\0"
  /* 16781 */ "VRPose" "\0"
  /* 16788 */ "VRServiceTest" "\0"
  /* 16802 */ "VRStageParameters" "\0"
  /* 16820 */ "VTTCue" "\0"
  /* 16827 */ "VTTRegion" "\0"
  /* 16837 */ "ValidityState" "\0"
  /* 16851 */ "VideoColorSpace" "\0"
  /* 16867 */ "VideoDecoder" "\0"
  /* 16880 */ "VideoEncoder" "\0"
  /* 16893 */ "VideoFrame" "\0"
  /* 16904 */ "VideoPlaybackQuality" "\0"
  /* 16925 */ "VideoTrack" "\0"
  /* 16936 */ "VideoTrackList" "\0"
  /* 16951 */ "VisualViewport" "\0"
  /* 16966 */ "WEBGL_color_buffer_float" "\0"
  /* 16991 */ "WEBGL_compressed_texture_astc" "\0"
  /* 17021 */ "WEBGL_compressed_texture_etc" "\0"
  /* 17050 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 17080 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 17111 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 17141 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 17176 */ "WEBGL_debug_renderer_info" "\0"
  /* 17202 */ "WEBGL_debug_shaders" "\0"
  /* 17222 */ "WEBGL_depth_texture" "\0"
  /* 17242 */ "WEBGL_draw_buffers" "\0"
  /* 17261 */ "WEBGL_explicit_present" "\0"
  /* 17284 */ "WEBGL_lose_context" "\0"
  /* 17303 */ "WEBGL_provoking_vertex" "\0"
  /* 17326 */ "WakeLock" "\0"
  /* 17335 */ "WakeLockSentinel" "\0"
  /* 17352 */ "WaveShaperNode" "\0"
  /* 17367 */ "WebExtensionContentScript" "\0"
  /* 17393 */ "WebExtensionPolicy" "\0"
  /* 17412 */ "WebGL2RenderingContext" "\0"
  /* 17435 */ "WebGLActiveInfo" "\0"
  /* 17451 */ "WebGLBuffer" "\0"
  /* 17463 */ "WebGLContextEvent" "\0"
  /* 17481 */ "WebGLFramebuffer" "\0"
  /* 17498 */ "WebGLProgram" "\0"
  /* 17511 */ "WebGLQuery" "\0"
  /* 17522 */ "WebGLRenderbuffer" "\0"
  /* 17540 */ "WebGLRenderingContext" "\0"
  /* 17562 */ "WebGLSampler" "\0"
  /* 17575 */ "WebGLShader" "\0"
  /* 17587 */ "WebGLShaderPrecisionFormat" "\0"
  /* 17614 */ "WebGLSync" "\0"
  /* 17624 */ "WebGLTexture" "\0"
  /* 17637 */ "WebGLTransformFeedback" "\0"
  /* 17660 */ "WebGLUniformLocation" "\0"
  /* 17681 */ "WebGLVertexArrayObject" "\0"
  /* 17704 */ "WebKitCSSMatrix" "\0"
  /* 17720 */ "WebSocket" "\0"
  /* 17730 */ "WebTransport" "\0"
  /* 17743 */ "WebTransportBidirectionalStream" "\0"
  /* 17775 */ "WebTransportDatagramDuplexStream" "\0"
  /* 17808 */ "WebTransportError" "\0"
  /* 17826 */ "WebTransportReceiveStream" "\0"
  /* 17852 */ "WebTransportSendStream" "\0"
  /* 17875 */ "WheelEvent" "\0"
  /* 17886 */ "Window" "\0"
  /* 17893 */ "WindowClient" "\0"
  /* 17906 */ "WindowContext" "\0"
  /* 17920 */ "WindowGlobalChild" "\0"
  /* 17938 */ "WindowGlobalParent" "\0"
  /* 17957 */ "WindowRoot" "\0"
  /* 17968 */ "Worker" "\0"
  /* 17975 */ "WorkerDebuggerGlobalScope" "\0"
  /* 18001 */ "WorkerGlobalScope" "\0"
  /* 18019 */ "WorkerLocation" "\0"
  /* 18034 */ "WorkerNavigator" "\0"
  /* 18050 */ "WorkerTestUtils" "\0"
  /* 18066 */ "Worklet" "\0"
  /* 18074 */ "WorkletGlobalScope" "\0"
  /* 18093 */ "WritableStream" "\0"
  /* 18108 */ "WritableStreamDefaultController" "\0"
  /* 18140 */ "WritableStreamDefaultWriter" "\0"
  /* 18168 */ "XMLDocument" "\0"
  /* 18180 */ "XMLHttpRequest" "\0"
  /* 18195 */ "XMLHttpRequestEventTarget" "\0"
  /* 18221 */ "XMLHttpRequestUpload" "\0"
  /* 18242 */ "XMLSerializer" "\0"
  /* 18256 */ "XPathEvaluator" "\0"
  /* 18271 */ "XPathExpression" "\0"
  /* 18287 */ "XPathResult" "\0"
  /* 18299 */ "XRBoundedReferenceSpace" "\0"
  /* 18323 */ "XRFrame" "\0"
  /* 18331 */ "XRInputSource" "\0"
  /* 18345 */ "XRInputSourceArray" "\0"
  /* 18364 */ "XRInputSourceEvent" "\0"
  /* 18383 */ "XRInputSourcesChangeEvent" "\0"
  /* 18409 */ "XRPose" "\0"
  /* 18416 */ "XRReferenceSpace" "\0"
  /* 18433 */ "XRReferenceSpaceEvent" "\0"
  /* 18455 */ "XRRenderState" "\0"
  /* 18469 */ "XRRigidTransform" "\0"
  /* 18486 */ "XRSession" "\0"
  /* 18496 */ "XRSessionEvent" "\0"
  /* 18511 */ "XRSpace" "\0"
  /* 18519 */ "XRSystem" "\0"
  /* 18528 */ "XRView" "\0"
  /* 18535 */ "XRViewerPose" "\0"
  /* 18548 */ "XRViewport" "\0"
  /* 18559 */ "XRWebGLLayer" "\0"
  /* 18572 */ "XSLTProcessor" "\0"
  /* 18586 */ "XULCommandEvent" "\0"
  /* 18602 */ "XULElement" "\0"
  /* 18613 */ "XULFrameElement" "\0"
  /* 18629 */ "XULMenuElement" "\0"
  /* 18644 */ "XULPopupElement" "\0"
  /* 18660 */ "XULResizerElement" "\0"
  /* 18678 */ "XULTextElement" "\0"
  /* 18693 */ "XULTreeElement" "\0"
  /* 18708 */ "console" "\0"
  /* 18716 */ "webkitSpeechGrammar" "\0"
  /* 18736 */ "webkitSpeechGrammarList" "\0"
  /* 18760 */ "webkitSpeechRecognition" "\0"
  /* 18784 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

